Product comparison · 2 network switches

Allied Telesis AT-FS750/20-50 Managed Fast Ethernet (10/100) 1U Grey vs Allied Telesis AT-FS750/52-50 Managed Fast Ethernet (10/100) 1U Grey

Add a product
  • 48specifications compared
  • 8differ
  • 40identical
  • 3known for one product only

Key differences

  • Basic switching RJ-45 Ethernet ports quantity
    • AT-FS750/20-50 Managed Fast Ethernet (10/100) 1U Grey:20
    • AT-FS750/52-50 Managed Fast Ethernet (10/100) 1U Grey:52
  • Fast Ethernet (copper) ports quantity
    • AT-FS750/20-50 Managed Fast Ethernet (10/100) 1U Grey:16
    • AT-FS750/52-50 Managed Fast Ethernet (10/100) 1U Grey:48
  • MAC address table
    • AT-FS750/20-50 Managed Fast Ethernet (10/100) 1U Grey:8000 entries
    • AT-FS750/52-50 Managed Fast Ethernet (10/100) 1U Grey:16000 entries
  • Switching capacity
    • AT-FS750/20-50 Managed Fast Ethernet (10/100) 1U Grey:11.2 Gbit/s
    • AT-FS750/52-50 Managed Fast Ethernet (10/100) 1U Grey:17.6 Gbit/s
  • Power consumption (max)
    • AT-FS750/20-50 Managed Fast Ethernet (10/100) 1U Grey:7.6 W
    • AT-FS750/52-50 Managed Fast Ethernet (10/100) 1U Grey:13.25 W
  • Width
    • AT-FS750/20-50 Managed Fast Ethernet (10/100) 1U Grey:330 mm
    • AT-FS750/52-50 Managed Fast Ethernet (10/100) 1U Grey:410 mm
  • Depth
    • AT-FS750/20-50 Managed Fast Ethernet (10/100) 1U Grey:180 mm
    • AT-FS750/52-50 Managed Fast Ethernet (10/100) 1U Grey:250 mm
  • Weight
    • AT-FS750/20-50 Managed Fast Ethernet (10/100) 1U Grey:2.2 kg
    • AT-FS750/52-50 Managed Fast Ethernet (10/100) 1U Grey:3 kg

Side by side

Differences highlightedShow differences only (off)
Comparison of AT-FS750/20-50, AT-FS750/52-50
51 specifications
Management featuresidentical
Switch typeManagedManaged
Quality of Service (QoS) supportYesYes
Web-based managementYesYes
System event logYesYes
MIB supportRFC 1213 MIB-II, RFC 1643 Ethernet MIB, RFC 1493 Bridge MIB, RFC 2131 DHCP client, Private Enterprise MIBRFC 1213 MIB-II, RFC 1643 Ethernet MIB, RFC 1493 Bridge MIB, RFC 2131 DHCP client, Private Enterprise MIB
Ports & interfaces2 differ
Basic switching RJ-45 Ethernet ports quantityDiffers2052
Basic switching RJ-45 Ethernet ports typeFast Ethernet (10/100)Fast Ethernet (10/100)
Fast Ethernet (copper) ports quantityDiffers1648
Gigabit Ethernet (copper) ports quantity22
Installed SFP modules quantity00
Installed SFP+ modules quantity00
Combo SFP ports quantity22
Networkidentical
Networking standardsIEEE 802.11d, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3zIEEE 802.11d, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z
10G supportNoNo
Port mirroringYesYes
Broadcast storm controlYesYes
Flow control supportYesYes
Head-of-line (HOL) blockingYesYes
Link aggregationYesYes
Rate limitingYesYes
Spanning tree protocolYesYes
Virtual LAN featuresTagged VLAN, Port-based VLANTagged VLAN, Port-based VLAN
Data transmission2 differ
MAC address tableDiffers8000 entries16000 entries
Switching capacityDiffers11.2 Gbit/s17.6 Gbit/s
Number of queues44
Jumbo frames supportYesYes
Packet forwarding rate (1 Gbps)1488000 pps1488000 pps
Packet forwarding rate (10 Mbps)14880 pps14880 pps
Packet forwarding rate (100 Mbps)148800 pps148800 pps
Securityidentical
DHCP featuresDHCP clientDHCP client
Access Control List (ACL)YesYes
IGMP snoopingYesYes
AuthenticationMAC-based authenticationMAC-based authentication
MAC address filteringYesYes
Multicast featuresidentical
Multicast supportYesYes
Number of multicast groups filtered256256
Protocolsidentical
Management protocolsKnown for oneFTP, HTTP, SNMPv1/v2c/v3, SNTPUnknown — not stated by the source
Designidentical
Rack mountingYesYes
Form factor1U1U
Product colourGreyGrey
Power1 differ
AC input voltage100 - 240 V100 - 240 V
AC input frequency50 - 60 Hz50 - 60 Hz
Power consumption (max)Differs7.6 W13.25 W
Power over Ethernet (PoE)identical
Power over Ethernet (PoE)Known for oneNoUnknown — not stated by the source
Operational conditionsidentical
Operating temperature (T-T)0 - 40 °C0 - 40 °C
Weight & dimensions3 differ
WidthDiffers330 mm410 mm
DepthDiffers180 mm250 mm
Height44 mm44 mm
WeightDiffers2.2 kg3 kg
Packaging contentidentical
Cables includedACAC
Logistics dataidentical
Harmonized System (HS) codeKnown for one85176990Unknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons